#[macro_use]
extern crate rocket;

use dotenv::dotenv;
use juunil::controllers::posts;
use juunil::models::PostWithMedia;
use rocket::serde::json::Json;
use serde::Serialize;

#[derive(Serialize)]
struct Posts {
    posts: Vec<PostWithMedia>,
}

#[get("/")]
fn index() -> Json<Posts> {
    let posts = posts::get_all_posts_with_media();

    Json(Posts { posts })
}

#[launch]
fn rocket() -> _ {
    dotenv().ok();

    rocket::build().mount("/", routes![index])
}
